<?php
namespace Teknisa\COZ\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\GER\Utilities\Environment;

class CozinhaCentralService extends \Teknisa\GER\Controllers\TeknisaCrud {

    protected $entityManager;

    public function __construct(EntityManager $entityManager, Environment $environment) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
    }

    public function iniciaTransacao(){
        $this->entityManager->beginTransaction();
    }

    public function getConnection(){
        return $this->entityManager->getConnection();
    }

    public function flush(){
        $this->entityManager->flush();
    }

    public function commit(){
        $this->entityManager->commit();
    }

    public function rollback(){
        $this->entityManager->rollback();
    }

}